Get events

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/events

Get the events of the API, for example task:update. Add a query parameter for each column to filter on. Use page and limit to get the events page by page. Without page, you get 1000 events or fewer. You must be an administrator.

Query parameters

  • page integer

    Page number for pagination

  • limit integer

    Number of results per page

  • cursor_id string(uuid)

    Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit

  • relations boolean

    Whether to include relations

    Default value is false.

  • fields string

    Comma-separated list of the fields to get for each row. The response always has id and type. The names that are not fields are ignored.

Responses

  • 200 application/json

    The list of events, or a page of events if you give page

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    A filter is not valid

  • 403

    You are not an administrator

GET /data/events
curl -X GET "http://api.example.com/data/events/?page=1&limit=50&relations=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/events/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "page": 1,
    "limit": 50,
    "relations": false
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Event Name",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
]